Bug 86841 - Some writing aids not functioning
Summary: Some writing aids not functioning
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Thesaurus Options-Dialog-Language
  Show dependency treegraph
 
Reported: 2014-11-29 09:17 UTC by Yousuf Philips (jay) (retired)
Modified: 2022-09-01 03:49 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
no grammar checkbox for malawi (92.46 KB, image/png)
2014-11-29 09:17 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-29 09:17:06 UTC
Created attachment 110216 [details]
no grammar checkbox for malawi

A twitter user mentioned that spellchecking was working but the thesaurus wasnt on Windows < https://twitter.com/GeneWhitehead/status/538249433532882944 > and shared a picture of the thesaurus checkbox not being available in the writing aids dialog. The weird thing is that the thesaurus checkbox is available to him when he changes the language to english-uk.

I wasnt able to confirm this as i have english-us installed, but noticed that if i select 'English (Malawi)' in the language drop down, grammar will not have a checkbox. Tested this on master on linux and 4.3.4 on Windows.

Version: 4.5.0.0.alpha0+
Build ID: b144f0ac8695dd62a2053b4e88212d0b109c9a41
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-11-25_01:10:46
Comment 1 A (Andy) 2014-12-24 22:56:05 UTC
Reproducible with LO 4.4.0.0.beta1 and 4.3.4.1 (Win 8.1)

For all English versions besides English (Malawi) the "Lightproof grammar checker (English)" checkbox is available.

For more information how to reproduce see attachment.
Comment 2 QA Administrators 2016-01-17 20:05:29 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-03-06 14:42:26 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-12-03 14:26:09 UTC Comment hidden (obsolete)
Comment 5 Thomas Lendo QA 2020-08-31 21:59:28 UTC
Still reproducible.

Version: 7.1.0.0.alpha0+
Build ID: 0d2dbcbebf0004e690feb91c38dd478a32dc6255
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-MW (de_DE.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-08-30_17:39:21
Calc: threaded
Comment 6 QA Administrators 2022-09-01 03:49:06 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug